Package net.sf.saxon.jaxp

## Class StreamingTransformerImpl.StreamingTransformerHandler

- java.lang.Object
- - net.sf.saxon.event.ReceivingContentHandler
  - - net.sf.saxon.jaxp.StreamingTransformerImpl.StreamingTransformerHandler

- All Implemented Interfaces:
    `javax.xml.transform.sax.TransformerHandler`, `org.xml.sax.ContentHandler`, `org.xml.sax.DTDHandler`, `org.xml.sax.ext.LexicalHandler`
  Enclosing class:
    StreamingTransformerImpl

      public class StreamingTransformerImpl.StreamingTransformerHandler
      extends ReceivingContentHandler
      implements javax.xml.transform.sax.TransformerHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.event.ReceivingContentHandler

      `ReceivingContentHandler.LocalLocator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamingTransformerHandler​(XsltController controller)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSystemId()` |
    `javax.xml.transform.Transformer` | `getTransformer()` |
    `void` | `setResult​(javax.xml.transform.Result result)` |
    `void` | `setSystemId​(java.lang.String systemID)` |

    - ### Methods inherited from class net.sf.saxon.event.ReceivingContentHandler

      `characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getConfiguration, getPipelineConfiguration, getReceiver, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setDocumentLocator, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.ContentHandler

      `characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

    - ### Methods inherited from interface org.xml.sax.DTDHandler

      `notationDecl, unparsedEntityDecl`

    - ### Methods inherited from interface org.xml.sax.ext.LexicalHandler

      `comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

- - ### Constructor Detail

    - #### StreamingTransformerHandler

          public StreamingTransformerHandler​(XsltController controller)

  - ### Method Detail

    - #### setResult

          public void setResult​(javax.xml.transform.Result result)
                         throws java.lang.IllegalArgumentException

      Specified by:
        `setResult` in interface `javax.xml.transform.sax.TransformerHandler`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setSystemId

          public void setSystemId​(java.lang.String systemID)

      Specified by:
        `setSystemId` in interface `javax.xml.transform.sax.TransformerHandler`

    - #### getSystemId

          public java.lang.String getSystemId()

      Specified by:
        `getSystemId` in interface `javax.xml.transform.sax.TransformerHandler`

    - #### getTransformer

          public javax.xml.transform.Transformer getTransformer()

      Specified by:
        `getTransformer` in interface `javax.xml.transform.sax.TransformerHandler`